library(limer)
library(tidyverse)
library(rio) # if using import


# THIS NEEDS TO BE ADJUSTED
responses <- import("/Users/kleemeyer/Seafile/FragebogenMpg/generalscript_Dec2020/Mitarbeitenden_Umfrage_Standardexport_Code.xlsx")

# recode data from text answers to numerical data we can work with
# QUESTION: How do we code "KEINE ANTWORT"?? As opposed to no answer provided and not applicable (because never happened)?
# RECODING of I Question??
responses_coded <- responses %>%
  # deselect those variables that only introduce the question 
  select(-c('A02','B01','B08','C01','D01','D07','D09','D13','E02','E06','F01','F09','F12','H01','H08','H16','H22')) %>% 
  mutate_if(is.logical, as.character) %>%
  # replace all those values that did not have content because the question was not shown
  mutate_all(na_if,"") %>%
  # take all those variables to the front that do not need recoding
  relocate(id:seed, D30, D21, E20, E14, F30, F31, F20, H14, H15) %>%
  # recode written answers into numerical data 
  mutate(across(A01:I02, ~recode(., "Die Karrieren von Frauen werden stärker gefördert als die von Männern" = -1, 
                               "Die Karrieren von Frauen und Männern werden gleichermaßen gefördert" = 0,  
                               "Ja" = 1, "Stimme überhaupt nicht zu" = 1, "Nie" = 1, "1" = 1, "Sehr unzufrieden" = 1, "Die Karrieren von Frauen werden weniger gefördert als die von Männern" = 1, "Ist mir bereits bekannt." = 1, "Weiblich" = 1, 
                               "Nein"  = 2, "Stimme nicht zu"  = 2, "Gelegentlich"  = 2, "2" = 2, "Unzufrieden" = 2, "Ist mir nicht bekannt."  = 2, "Männlich" = 2,
                               "Weder noch" = 3, "Monatlich" = 3, "3" = 3, "Weder zufrieden noch unzufrieden" = 3, "Divers" = 3, 
                               "Stimme zu" = 4, "Wöchentlich" = 4, "4" = 4, "Zufrieden" = 4, 
                               "Stimme voll und ganz zu" = 5, "Täglich" = 5, "5" = 5, "Sehr zufrieden" = 5, 
                               "mehr als 5" = 6, "Noch in Bearbeitung" = 6, 
                               "Keine Antwort" = NA_real_, "Keine Antwort." = NA_real_, "Keine Angabe" =  NA_real_, "N/A" = NA_real_,
                               .missing = NA_real_)))
